function createCookie(name, value, days) {
  var expires = "";
  if (days) {
    var date = new Date();
    date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
    expires = "; expires=" + date.toUTCString();
  }
  document.cookie = name + "=" + value + expires + "; path=/";
}
function readCookie(name) {
  var nameEQ = name + "=";
  var ca = document.cookie.split(';');
  for (var i = 0; i < ca.length; i++) {
    var c = ca[i];
    while (c.charAt(0) == ' ') c = c.substring(1, c.length);
    if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length, c.length);
  }
  return null;
}
function eraseCookie(name) {
  createCookie(name, "", -1);
}

$(document).ready(function() {
  if (readCookie('cookie-notice-dismissed') == 'true') {
    console.log("GDPR Consent Dismiss");
  } else {
    document.getElementById('cookie-notice').style.display = 'block';
  }

  document.getElementById('cookie-notice-accept').addEventListener("click", function() {
    createCookie('cookie-notice-dismissed', 'true', 31);
    _paq.push(['rememberConsentGiven']);
    document.getElementById('cookie-notice').style.display = 'none';
    location.reload();
  });

  document.getElementById('cookie-notice-dismiss').addEventListener("click", function() {
    createCookie('cookie-notice-dismissed', 'true', 31);
    _paq.push(['forgetConsentGiven']);
    _paq.push(['optUserOut']);
    document.getElementById('cookie-notice').style.display = 'none';
    location.reload();
  });
});
